#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PadWalker
Summary:	PadWalker - play with other peoples' lexical variables
Summary(pl.UTF-8):	PadWalker - igranie z cudzymi zmiennymi leksykalnymi
Name:		perl-PadWalker
Version:	2.2
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
# Source0-md5:	6bcc741f77b1831a893b2a22c785e31a
URL:		http://search.cpan.org/dist/PadWalker/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PadWalker is a Perl module which allows you to inspect (and even
change!) lexical variables in any subroutine which called you. It will
only show those variables which are in scope at the point of the call.

%description -l pl.UTF-8
PadWalker jest modułem Perla umożliwiającym przeglądanie (a nawet
modyfikacje!) zmiennych leksykalnych w dowolnej wywołanej funkcji.
Pokazuje on tylko te zmienne, których zasięg obejmuje miejsce
wywołania.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/PadWalker.pm
%dir %{perl_vendorarch}/auto/PadWalker
%attr(755,root,root) %{perl_vendorarch}/auto/PadWalker/PadWalker.so
%{_mandir}/man3/PadWalker.3pm*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PadWalker.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b4759e8
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 64bc74c
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> c92adff
- verbose files

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 95e0843
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> d1d46b7
- up to 2.2

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 44134d6
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b54edb0
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1329744
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 29 2014 Adam Osuchowski <adwol@pld-linux.org> 86dadbe
- up to 1.99

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9a58b27
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a3b24ee
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c4cce90
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> c6ad18c
- up to 1.96

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> fa347ac
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 84aea16
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 2f42c7b
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c7b1fd9
- release 2

* Wed Oct 07 2009 amateja <amateja@pld-linux.org> 4fc1ea5
- updated to 1.9

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 18ea944
- release 3

* Sun Mar 02 2008 radek <radek@pld-linux.org> 76dd50b
- release 2

